# Developer Guide

With a single SDK integration, you can use all the features provided by Hackle.

{% columns %}
{% column width="41.66666666666667%" %}
**Quick Start**

You can install the SDK and complete variation distribution for A/B Tests in just a few steps.

<a href="/pages/pRsgVlBTUumWcXG1LBlm" class="button secondary">Get Started →</a>
{% endcolumn %}

{% column width="58.33333333333333%" %}

```javascript
// SDK initialization
const hackleClient = Hackle.createInstance("YOUR_SDK_KEY");

// A/B test variation distribution
const variation = hackleClient.variation(EXPERIMENT_KEY, userId);
if (variation === "A") {
  // Group A
} else if (variation === "B") {
  // Group B
}
```

{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
**Supported SDKs**

Hackle provides SDKs for a variety of platforms.
{% endcolumn %}

{% column %}

<p align="right"><a href="/pages/b5eXpcUm8APKcPCrUq11" class="button secondary">View All SDKs</a></p>
{% endcolumn %}
{% endcolumns %}

<table data-view="cards"><thead><tr><th></th><th></th><th data-hidden data-card-cover data-type="image">Cover image</th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td><i class="fa-android">:android:</i></td><td>Android SDK</td><td></td><td><a href="/pages/xf5VLghjDgw2xf3nGiM5">/pages/xf5VLghjDgw2xf3nGiM5</a></td></tr><tr><td><i class="fa-apple">:apple:</i></td><td>iOS SDK</td><td></td><td><a href="/pages/HfqBYZaUy6mgIRNa81Wz">/pages/HfqBYZaUy6mgIRNa81Wz</a></td></tr><tr><td><i class="fa-react">:react:</i></td><td>React SDK</td><td></td><td><a href="/pages/Aai7dKOMTyY8IjkDkORE">/pages/Aai7dKOMTyY8IjkDkORE</a></td></tr></tbody></table>

{% hint style="info" %}
Are you using Cafe24?

Check out the [Cafe24 Integration Guide](/en/cafe-24/integration.md) right away.
{% endhint %}

{% hint style="success" %}
Have questions?

Feel free to ask anything during the integration process in the [Hackle Slack Community](https://join.slack.com/t/hackle-community/shared_invite/zt-1awrnygsh-U8VCHwN06ZDTF9yAzik5SA).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/en/development-guide/developer-guide.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
